package main

import (
	"fmt"
	"os"
	sa "repos.ctdo.de/mamu/spacepanel_aggregator"
)

const helptext string = "spacepanel_aggregator usage: \n\n -l IF:port default: *:8080 \n -f config-file default: conf.yml \n -h print help and exit\n"

func main() {
	conf := true
	for i := 1; i < len(os.Args); i++ {
		switch os.Args[i] {
		case "-l":
			i++
			if i < len(os.Args) {
				sa.SetIf(os.Args[i])
			} else {
				conf = false
			}
		case "-f":
			i++
			if i < len(os.Args) {
				sa.SetConf(os.Args[i])
			} else {
				conf = false
			}
		default:
			conf = false
			i = len(os.Args)
		}

	}
	if conf {
		sa.Start()
	} else {
		printHelp()
	}
}

func printHelp() {
	fmt.Printf(helptext)
}
